MWAWChart::Series Struct Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
MWAWChart::Series Struct Reference

a series in a chart More...

`#include <MWAWChart.hxx>`

## Public Types
enum | Type { S_Area, S_Bar, S_Column, S_Line, S_Pie, S_Scatter, S_Stock }
| the series type More...

## Public Member Functions
| Series ()
| constructor More...
virtual | ~Series ()
| destructor More...
void | addContentTo (std::string const &sheetName, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...

## Static Public Member Functions
static std::string | getSeriesTypeName (Type type)
| returns a string corresponding to a series type More...

## Public Attributes
Type | m_type
| the type More...
MWAWBox2i | m_range
| the data range More...
MWAWGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Series const &series)
| operator<< More...

## Detailed Description

a series in a chart

## Member Enumeration Documentation

## ◆ Type

enum MWAWChart::Series::Type

the series type

Enumerator
S_Area |
S_Bar |
S_Column |
S_Line |
S_Pie |
S_Scatter |
S_Stock |

## Constructor & Destructor Documentation

## ◆ Series()

MWAWChart::Series::Series | ( |  | ) |

constructor

## ◆ ~Series()

MWAWChart::Series::~Series | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addContentTo()

void MWAWChart::Series::addContentTo | ( | std::string const & | sheetName,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

## ◆ addStyleTo()

void MWAWChart::Series::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## ◆ getSeriesTypeName()

std::string MWAWChart::Series::getSeriesTypeName | ( | Type | type | ) |
| static

returns a string corresponding to a series type

Referenced by MWAWChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWChart::Series const & | series
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_range

MWAWBox2i MWAWChart::Series::m_range

the data range

Referenced by operator<<(), and BeagleWksSSParser::readChart().

## ◆ m_style

MWAWGraphicStyle MWAWChart::Series::m_style

the graphic style

Referenced by operator<<(), BeagleWksSSParser::readChart(), and Series().

## ◆ m_type

Type MWAWChart::Series::m_type

the type

Referenced by operator<<(), and BeagleWksSSParser::readChart().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx